summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthias Maier <tamiko@gentoo.org>2018-01-30 17:10:15 -0600
committerMatthias Maier <tamiko@gentoo.org>2018-01-31 10:36:42 -0600
commit0d49100b3b536136a20e433b5cab0dead88c261e (patch)
tree00bcb9bf5337852e27f23fbc9f57dd719b3dcf47 /media-gfx/luminance-hdr
parentapp-arch/pbzip2: add eprefix support #586804 (diff)
downloadgentoo-0d49100b3b536136a20e433b5cab0dead88c261e.tar.gz
gentoo-0d49100b3b536136a20e433b5cab0dead88c261e.tar.bz2
gentoo-0d49100b3b536136a20e433b5cab0dead88c261e.zip
media-gfx/luminance-hdr: version bump to 2.5.1
- Updated to EAPI 6 - Ported no-git patch to 2.5.1 and made it more robust by simply setting GIT_SHA1 to an arbitrary string. - Ported fits-automagic and openmp-automagic patches - Updated dependencies: dev-qt/qtwebkit -> dev-qt/qtwebengine sci-libs/ccfits -> sci-libs/cfitsio Closes: https://bugs.gentoo.org/618154 Closes: https://bugs.gentoo.org/630052 Package-Manager: Portage-2.3.21, Repoman-2.3.6
Diffstat (limited to 'media-gfx/luminance-hdr')
-rw-r--r--media-gfx/luminance-hdr/Manifest1
-rw-r--r--media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-docs.patch17
-rw-r--r--media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-fits-automagic.patch17
-rw-r--r--media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-no-git.patch17
-rw-r--r--media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-openmp-automagic.patch32
-rw-r--r--media-gfx/luminance-hdr/luminance-hdr-2.5.1.ebuild84
6 files changed, 168 insertions, 0 deletions
diff --git a/media-gfx/luminance-hdr/Manifest b/media-gfx/luminance-hdr/Manifest
index 1eaa8d8afcc..2e474e03980 100644
--- a/media-gfx/luminance-hdr/Manifest
+++ b/media-gfx/luminance-hdr/Manifest
@@ -1 +1,2 @@
DIST luminance-hdr-2.4.0.tar.bz2 10507522 BLAKE2B b8dc777211b63e4e03466612e1c4b7c685f921db292712c749fc14d9638a69fd735990fd5412c7376a7452911cb15212448afc03aa8407f0d6f9c65fac5d5769 SHA512 aa14a13d12ba382f5f8dcb79a57aa68864678db62f036ac2d8b8959da76f20b938481932a6fff3861eb6dbc5a1d4f06bc1f3e3ca9a6ce4f7a27a9db736aa8702
+DIST luminance-hdr-2.5.1.tar.bz2 10238826 BLAKE2B 02cc275e2433281e9305e07efb6f77a611ca8e8167ca478a0c4a4c16feab260203aeef501b24b52b54ff9ad92923fd52b2c6925d81e60b492f0ac2465e65b604 SHA512 5d2165ca69080b67426cbc7e30c3ad5545f1a9dacf09e76684c619633cd40b03ed2d0e32181a5dce9463addf20dce1afb58cbf4c0710688e143112687448be2c
diff --git a/media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-docs.patch b/media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-docs.patch
new file mode 100644
index 00000000000..48c156a382e
--- /dev/null
+++ b/media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-docs.patch
@@ -0,0 +1,17 @@
+Don't install extra docs and fix install dir.
+
+--- luminance-hdr-2.3.1/CMakeLists.txt
++++ luminance-hdr-2.3.1/CMakeLists.txt
+@@ -281,12 +281,6 @@
+ INSTALL(FILES ${CMAKE_SOURCE_DIR}/program-icons/luminance-hdr.png DESTINATION share/icons/hicolor/48x48/apps) # icon
+ INSTALL(FILES ${CMAKE_SOURCE_DIR}/luminance-hdr.desktop DESTINATION share/applications) #desktop entry
+ INSTALL(FILES ${CMAKE_SOURCE_DIR}/luminance-hdr.appdata.xml DESTINATION share/appdata) #appstream
+- INSTALL(FILES
+- ${CMAKE_SOURCE_DIR}/AUTHORS
+- ${CMAKE_SOURCE_DIR}/README.md
+- ${CMAKE_SOURCE_DIR}/LICENSE
+- ${CMAKE_SOURCE_DIR}/Changelog
+- DESTINATION share/luminance-hdr) #info files
+ INSTALL(DIRECTORY ${CMAKE_SOURCE_DIR}/help DESTINATION share/luminance-hdr) # help directory
+ INSTALL(DIRECTORY ${CMAKE_SOURCE_DIR}/hdrhtml DESTINATION share/luminance-hdr) # hdrhtml directory
+ # Microsoft Windows
diff --git a/media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-fits-automagic.patch b/media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-fits-automagic.patch
new file mode 100644
index 00000000000..c3b57861671
--- /dev/null
+++ b/media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-fits-automagic.patch
@@ -0,0 +1,17 @@
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 36cf008..1b75700 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -132,7 +132,11 @@ INCLUDE_DIRECTORIES(${GSL_INCLUDE_DIR} ${GSLCBLAS_INCLUDE_DIR})
+ FIND_PACKAGE(JPEG REQUIRED)
+ INCLUDE_DIRECTORIES(${JPEGLIB_INCLUDE_DIR})
+
+-FIND_PACKAGE(CFITSIO)
++OPTION(USE_FITS "Enable FITS support." ON)
++IF(USE_FITS)
++ FIND_PACKAGE(CFITSIO REQUIRED)
++ENDIF()
++
+ IF(CFITSIO_FOUND)
+ INCLUDE_DIRECTORIES(${CFITSIO_INCLUDE_DIR})
+ SET(LIBS ${LIBS} ${CFITSIO_LIBRARIES})
diff --git a/media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-no-git.patch b/media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-no-git.patch
new file mode 100644
index 00000000000..8665785736e
--- /dev/null
+++ b/media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-no-git.patch
@@ -0,0 +1,17 @@
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 7e8975f..2e5ea5b 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -59,11 +59,7 @@ set(LIBS ${LIBS}
+ ${QT_QTCORE_LIBRARIES} ${QT_QTGUI_LIBRARIES} ${QT_QTNETWORK_LIBRARIES}
+ ${QT_QTWEBENGINE_LIBRARIES} ${QT_QTXML_LIBRARIES} ${QT_QTSQL_LIBRARIES})
+
+-FIND_PACKAGE(Git)
+-IF(GIT_FOUND)
+- include(GetGitRevisionDescription)
+- get_git_head_revision(GIT_REFSPEC GIT_SHA1)
+-ENDIF()
++SET(GIT_SHA1 "-- gentoo build --")
+
+ IF(WIN32)
+ # Windows Section
diff --git a/media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-openmp-automagic.patch b/media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-openmp-automagic.patch
new file mode 100644
index 00000000000..f0399d271a5
--- /dev/null
+++ b/media-gfx/luminance-hdr/files/luminance-hdr-2.5.1-openmp-automagic.patch
@@ -0,0 +1,32 @@
+diff --git a/build_files/Modules/CompilerSettings.cmake b/build_files/Modules/CompilerSettings.cmake
+index f55c130..81e1916 100644
+--- a/build_files/Modules/CompilerSettings.cmake
++++ b/build_files/Modules/CompilerSettings.cmake
+@@ -45,16 +45,19 @@ else()
+ message(WARNING "Your C++ compiler does not support C++11.")
+ endif()
+ #OpenMP Support under Linux, Windows with MSVC & MacOS X with GCC >= 4.3
+-IF(MSVC)
+- FIND_PACKAGE(OpenMP REQUIRED)
+- SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
+- SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
+-ELSEIF(CMAKE_COMPILER_IS_GNUCC AND UNIX)
+- EXECUTE_PROCESS(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
+- IF(GCC_VERSION VERSION_GREATER 4.3 OR GCC_VERSION VERSION_EQUAL 4.3)
+- MESSAGE(STATUS "GCC >= 4.3")
++OPTION(USE_OPENMP "Use openmp threading support." ON)
++IF(USE_OPENMP)
++ IF(MSVC)
+ FIND_PACKAGE(OpenMP REQUIRED)
+ SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
+ SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
++ ELSEIF(CMAKE_COMPILER_IS_GNUCC AND UNIX)
++ EXECUTE_PROCESS(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION)
++ IF(GCC_VERSION VERSION_GREATER 4.3 OR GCC_VERSION VERSION_EQUAL 4.3)
++ MESSAGE(STATUS "GCC >= 4.3")
++ FIND_PACKAGE(OpenMP REQUIRED)
++ SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
++ SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
++ ENDIF()
+ ENDIF()
+ ENDIF()
diff --git a/media-gfx/luminance-hdr/luminance-hdr-2.5.1.ebuild b/media-gfx/luminance-hdr/luminance-hdr-2.5.1.ebuild
new file mode 100644
index 00000000000..8bf884629bc
--- /dev/null
+++ b/media-gfx/luminance-hdr/luminance-hdr-2.5.1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils toolchain-funcs eutils flag-o-matic
+
+MY_P=${P/_/.}
+DESCRIPTION="Graphical user interface that provides a workflow for HDR imaging"
+HOMEPAGE="http://qtpfsgui.sourceforge.net https://github.com/LuminanceHDR/LuminanceHDR"
+SRC_URI="mirror://sourceforge/qtpfsgui/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+LANGS=" cs de es fi fr hi hu id it pl ro ru sk tr zh"
+IUSE="cpu_flags_x86_sse2 fits openmp test ${LANGS// / l10n_}"
+
+RDEPEND="
+ dev-libs/boost:0=
+ dev-qt/qtconcurrent:5
+ dev-qt/qtcore:5
+ dev-qt/qtdeclarative:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtsql:5
+ dev-qt/qtwebengine:5
+ >=media-gfx/exiv2-0.14:0=
+ media-libs/lcms:2
+ media-libs/libpng:0=
+ >=media-libs/libraw-0.13.4:=
+ media-libs/ilmbase:=
+ >=media-libs/openexr-1.2.2-r2:=
+ >=media-libs/tiff-3.8.2-r2:0
+ sci-libs/fftw:3.0[threads]
+ fits? ( sci-libs/cfitsio )
+ sci-libs/gsl
+ virtual/jpeg:0
+"
+DEPEND="${RDEPEND}
+ dev-qt/linguist-tools:5
+ test? ( dev-cpp/gtest )
+"
+
+DOCS=( AUTHORS BUGS Changelog README.md TODO )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.5.1-no-git.patch
+ "${FILESDIR}"/${PN}-2.5.1-docs.patch
+ "${FILESDIR}"/${PN}-2.5.1-openmp-automagic.patch
+ "${FILESDIR}"/${PN}-2.5.1-fits-automagic.patch
+)
+
+pkg_pretend() {
+ if use cpu_flags_x86_sse2 ; then
+ append-flags -msse2
+ else
+ eerror "This package requires a CPU supporting the SSE2 instruction set."
+ die "SSE2 support missing"
+ fi
+
+ if use openmp ; then
+ tc-has-openmp || die "Please switch to an openmp compatible compiler"
+ fi
+}
+
+src_configure() {
+ mycmakeargs=(
+ -DUSE_OPENMP="$(usex openmp)"
+ -DUSE_FITS="$(usex fits)"
+ )
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ for lang in ${LANGS} ; do
+ if ! use l10n_${lang} ; then
+ rm -f "${D}"/usr/share/${PN}/i18n/{lang,qt}_${lang}.qm || die
+ fi
+ done
+}